package com.qmth.jkserver.dto.wps;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Description: wps参数vo
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/8
 */
public class WpsParamVo implements Serializable {

    @ApiModelProperty(value = "wps题库id")
    String wpsQuestionId;

    @ApiModelProperty(value = "wps题库原始分数")
    BigDecimal wpsQuestionScore;

    @ApiModelProperty(value = "wps题库原始文件")
    List<WpsAttachmentVo> wpsSourceFile;

    @ApiModelProperty(value = "WPS题库作答文件")
    List<WpsAttachmentVo> wpsOutputFile;

    public WpsParamVo() {

    }

    public WpsParamVo(String wpsQuestionId, BigDecimal wpsQuestionScore, List<WpsAttachmentVo> wpsSourceFile) {
        this.wpsQuestionId = wpsQuestionId;
        this.wpsQuestionScore = wpsQuestionScore;
        this.wpsSourceFile = wpsSourceFile;
    }

    public String getWpsQuestionId() {
        return wpsQuestionId;
    }

    public void setWpsQuestionId(String wpsQuestionId) {
        this.wpsQuestionId = wpsQuestionId;
    }

    public BigDecimal getWpsQuestionScore() {
        return wpsQuestionScore;
    }

    public void setWpsQuestionScore(BigDecimal wpsQuestionScore) {
        this.wpsQuestionScore = wpsQuestionScore;
    }

    public List<WpsAttachmentVo> getWpsSourceFile() {
        return wpsSourceFile;
    }

    public void setWpsSourceFile(List<WpsAttachmentVo> wpsSourceFile) {
        this.wpsSourceFile = wpsSourceFile;
    }

    public List<WpsAttachmentVo> getWpsOutputFile() {
        return wpsOutputFile;
    }

    public void setWpsOutputFile(List<WpsAttachmentVo> wpsOutputFile) {
        this.wpsOutputFile = wpsOutputFile;
    }
}
